Badger::Codec::Base64(3pm)

NAME
Badger::Codec::Base64 - encode/decode data using MIME::Base64

SYNOPSIS
    use Badger::Codec::Base64;
    my $codec   = Badger::Codec::Base64->new();
    my $encoded = $codec->encode("Hello World");
    my $decoded = $codec->decode($encoded);

DESCRIPTION
This module implements a subclass of Badger::Codec which uses the "encode_base64" and "decode_base64" subroutines provided by the MIME::Base64 module to encode and decode data.

It a very thin wrapper around the "MIME::Base64" module and offers no functional advantage over it. It exist only to provide a consistent API with other Badger::Codec modules.

METHODS

  encode($data)
Encodes the data referenced by the first argument using encode_base64().

    $encoded = Badger::Codec::Base64->encode($data);

  decode($data)
Decodes the encoded data passed as the first argument using decode_base64().

    $decoded = Badger::Codec::Base64->decode($encoded);

  encoder()
This method returns a reference to the real subroutine that's doing all the encoding work, i.e. the encode_base64() method in MIME::Base64.

  decoder()
This method returns a reference to the real subroutine that's doing all the decoding work, i.e. the decode_base64() method in MIME::Base64.

AUTHOR
Andy Wardley <http://wardley.org/>

COPYRIGHT
Copyright (C) 2005-2009 Andy Wardley. All rights reserved.

SEE ALSO
Badger::Codecs, Badger::Codec, MIME::Base64